<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:31 CEST 2019 -->
<title>RefinementImpl</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/impl/RefinementsFactoryImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/impl/RefinementImpl.html" target="_top">Frames</a></li>
<li><a href="RefinementImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.impl</div>
<h2 title="Class RefinementImpl" class="title">Class RefinementImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.impl.RefinementImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementImpl</span>
extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Refinement</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getValue--"><code><em>Value</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getReference--"><code><em>Reference</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getDifference--"><code><em>Difference</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getKind--"><code><em>Kind</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getValueStates--"><code><em>Value States</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getDate--"><code><em>Date</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getLinked--"><code><em>Linked</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getState--"><code><em>State</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#addValueState-java.lang.String-">addValueState</a></span>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#addValueStates-org.eclipse.emf.common.util.EList-">addValueStates</a></span>(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;states)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#basicGetLinked--">basicGetLinked</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#eInvoke-int-org.eclipse.emf.common.util.EList-">eInvoke</a></span>(int&nbsp;operationID,
       org.eclipse.emf.common.util.EList&lt;?&gt;&nbsp;arguments)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    java.lang.Object&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getDate--">getDate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getDifference--">getDifference</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getKind--">getKind</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getLinked--">getLinked</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getReference--">getReference</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getState--">getState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getValue--">getValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#getValueStates--">getValueStates</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setDate-java.util.Date-">setDate</a></span>(java.util.Date&nbsp;newDate)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setDifference-java.lang.String-">setDifference</a></span>(java.lang.String&nbsp;newDifference)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setKind-java.lang.String-">setKind</a></span>(java.lang.String&nbsp;newKind)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setLinked-refinement.model.refinements.ComposedRefinements-">setLinked</a></span>(<a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&nbsp;newLinked)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setReference-java.lang.String-">setReference</a></span>(java.lang.String&nbsp;newReference)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">setRefinement</a></span>(java.lang.String&nbsp;value,
             java.lang.String&nbsp;reference,
             java.lang.String&nbsp;difference,
             java.lang.String&nbsp;kind,
             java.lang.String&nbsp;valueState)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setState-refinement.model.refinements.States-">setState</a></span>(<a href="../../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a>&nbsp;newState)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#setValue-java.lang.String-">setValue</a></span>(java.lang.String&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getReference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReference</h4>
<pre>public&nbsp;java.lang.String&nbsp;getReference()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getReference--">getReference</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Reference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#setReference-java.lang.String-"><code>Refinement.setReference(String)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Reference--"><code>RefinementsPackage.getRefinement_Reference()</code></a></dd>
</dl>
</li>
</ul>
<a name="setReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReference</h4>
<pre>public&nbsp;void&nbsp;setReference(java.lang.String&nbsp;newReference)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setReference-java.lang.String-">setReference</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newReference</code> - the new value of the '<em>Reference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getReference--"><code>Refinement.getReference()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDifference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDifference</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDifference()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getDifference--">getDifference</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Difference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#setDifference-java.lang.String-"><code>Refinement.setDifference(String)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Difference--"><code>RefinementsPackage.getRefinement_Difference()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDifference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDifference</h4>
<pre>public&nbsp;void&nbsp;setDifference(java.lang.String&nbsp;newDifference)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setDifference-java.lang.String-">setDifference</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newDifference</code> - the new value of the '<em>Difference</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getDifference--"><code>Refinement.getDifference()</code></a></dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre>public&nbsp;java.lang.String&nbsp;getValue()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getValue--">getValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#setValue-java.lang.String-"><code>Refinement.setValue(String)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Value--"><code>RefinementsPackage.getRefinement_Value()</code></a></dd>
</dl>
</li>
</ul>
<a name="setValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre>public&nbsp;void&nbsp;setValue(java.lang.String&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setValue-java.lang.String-">setValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newValue</code> - the new value of the '<em>Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getValue--"><code>Refinement.getValue()</code></a></dd>
</dl>
</li>
</ul>
<a name="getKind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKind</h4>
<pre>public&nbsp;java.lang.String&nbsp;getKind()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getKind--">getKind</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Kind</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#setKind-java.lang.String-"><code>Refinement.setKind(String)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Kind--"><code>RefinementsPackage.getRefinement_Kind()</code></a></dd>
</dl>
</li>
</ul>
<a name="setKind-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKind</h4>
<pre>public&nbsp;void&nbsp;setKind(java.lang.String&nbsp;newKind)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setKind-java.lang.String-">setKind</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newKind</code> - the new value of the '<em>Kind</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getKind--"><code>Refinement.getKind()</code></a></dd>
</dl>
</li>
</ul>
<a name="getValueStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueStates</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;getValueStates()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getValueStates--">getValueStates</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Value States</em>' attribute list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_ValueStates--"><code>RefinementsPackage.getRefinement_ValueStates()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre>public&nbsp;java.util.Date&nbsp;getDate()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getDate--">getDate</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Date</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#setDate-java.util.Date-"><code>Refinement.setDate(Date)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Date--"><code>RefinementsPackage.getRefinement_Date()</code></a></dd>
</dl>
</li>
</ul>
<a name="setDate-java.util.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre>public&nbsp;void&nbsp;setDate(java.util.Date&nbsp;newDate)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setDate-java.util.Date-">setDate</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newDate</code> - the new value of the '<em>Date</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getDate--"><code>Refinement.getDate()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLinked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinked</h4>
<pre>public&nbsp;<a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&nbsp;getLinked()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getLinked--">getLinked</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Linked</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#setLinked-refinement.model.refinements.ComposedRefinements-"><code>Refinement.setLinked(ComposedRefinements)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Linked--"><code>RefinementsPackage.getRefinement_Linked()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetLinked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetLinked</h4>
<pre>public&nbsp;<a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&nbsp;basicGetLinked()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setLinked-refinement.model.refinements.ComposedRefinements-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLinked</h4>
<pre>public&nbsp;void&nbsp;setLinked(<a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&nbsp;newLinked)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setLinked-refinement.model.refinements.ComposedRefinements-">setLinked</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newLinked</code> - the new value of the '<em>Linked</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getLinked--"><code>Refinement.getLinked()</code></a></dd>
</dl>
</li>
</ul>
<a name="getState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>public&nbsp;<a href="../../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a>&nbsp;getState()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#getState--">getState</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>State</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a>, 
<a href="../../../../refinement/model/refinements/Refinement.html#setState-refinement.model.refinements.States-"><code>Refinement.setState(States)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_State--"><code>RefinementsPackage.getRefinement_State()</code></a></dd>
</dl>
</li>
</ul>
<a name="setState-refinement.model.refinements.States-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setState</h4>
<pre>public&nbsp;void&nbsp;setState(<a href="../../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a>&nbsp;newState)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setState-refinement.model.refinements.States-">setState</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newState</code> - the new value of the '<em>State</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a>, 
<a href="../../../../refinement/model/refinements/Refinement.html#getState--"><code>Refinement.getState()</code></a></dd>
</dl>
</li>
</ul>
<a name="setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefinement</h4>
<pre>public&nbsp;void&nbsp;setRefinement(java.lang.String&nbsp;value,
                          java.lang.String&nbsp;reference,
                          java.lang.String&nbsp;difference,
                          java.lang.String&nbsp;kind,
                          java.lang.String&nbsp;valueState)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">setRefinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
</dl>
</li>
</ul>
<a name="addValueState-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addValueState</h4>
<pre>public&nbsp;void&nbsp;addValueState(java.lang.String&nbsp;value)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#addValueState-java.lang.String-">addValueState</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
</dl>
</li>
</ul>
<a name="addValueStates-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addValueStates</h4>
<pre>public&nbsp;void&nbsp;addValueStates(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;states)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinement.html#addValueStates-org.eclipse.emf.common.util.EList-">addValueStates</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;java.lang.Object&nbsp;eGet(int&nbsp;featureID,
                             boolean&nbsp;resolve,
                             boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 java.lang.Object&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eInvoke-int-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eInvoke</h4>
<pre>public&nbsp;java.lang.Object&nbsp;eInvoke(int&nbsp;operationID,
                                org.eclipse.emf.common.util.EList&lt;?&gt;&nbsp;arguments)
                         throws java.lang.reflect.InvocationTargetException</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eInvoke</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eInvoke</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.reflect.InvocationTargetException</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/impl/RefinementsFactoryImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/impl/RefinementImpl.html" target="_top">Frames</a></li>
<li><a href="RefinementImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
